using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using XYY.Core.Standard.Mvc;
using XYY.Service.Standard.Finance;

namespace XYY.Api.Finance.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class TestController : ApiControllerBase
    {
        IDingDingBaseService _dingDingBaseService;
        public TestController(IDingDingBaseService dingDingBaseService)
        {
            _dingDingBaseService = dingDingBaseService;
        }

        [HttpGet]
        public async Task<IActionResult> GetDingDingUserInfo(int userId)
        {
            var userInfo = await _dingDingBaseService.GetDingDingUserInfo(userId);
            return Ok(userInfo);
        }
    }
}
